<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Auth extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        header('Access-Control-Allow-Origin: *');
    }
	public function index(){
		$data = array(
			'heading_title' => 'Login'
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/login');
		$this->load->view('admin/common/footer');
	}
	public function login2(){
		 
		$username = $this->input->post('username');
			$password = $this->input->post('password');
			$this->db->select('*');
			$this->db->where('ClientRepLoginName',$username);
			$this->db->where('Password',$password);
			$data = $this->db->get('ptsl_clientrep')->result_array();
			$title['heading_title'] = 'Dashboard';
			if($data){
				$role = $this->db->get_where('ptsl_clientrepandrole',array('userid'=> $$data[0]['ClientRepID']))->result_array();
				$newdata = array(
        			'username'  => $username,
        			'user_id'     => $data[0]['ClientRepID'],
        			'logged_in' => TRUE,
        			'role_id' => $role[0]['role_id']
				);

				$this->session->set_userdata('userdata',$newdata);
				
				redirect('dashboard/index');
			}
			else{
				$this->session->set_flashdata('login_error_msg','Username and password not matched');
				redirect(base_url());
			}

	}
	public function login(){

		$errors = array();

		$data = array();

		

		$post_data = json_decode(file_get_contents('php://input'), true);

		

		if (empty($post_data['email']))

			$errors['username'] = 'Username is required.';

		if (empty($post_data['password']))

			$errors['password'] = 'Password is required.';

		if($errors){

			$response = array(

					'status' => FALSE,

					'message' => 'Username and Password is required' 

				);

			echo json_encode($response);

			return;	 

		}

		$this->db->select('*');

		$this->db->where('ClientRepLoginName',$post_data['email']);	 

		$this->db->where('Password',($post_data['password']));

		$this->db->where('isActive','1');

		$data = $this->db->get('ptsl_clientrep')->result_array();

		if($data){
			$this->db->select('id,config_name,config_value');
			$config_data = $this->db->get('ptsl_config')->result_array();
			$data_role = $this->db->get_where('ptsl_clientrepandrole',array('userid'=> $data[0]['ClientRepID']))->result_array();
			$newdata = array(
        			'username'  => $post_data['email'],
        			'user_id'     => $data[0]['ClientRepID'],
        			'logged_in' => TRUE,
        			'role_id' => @$data_role[0]['roleid']
				);

				$this->session->set_userdata('userdata',$newdata);
				//print_r($this->session->userdata('userdata'));
				//redirect('dashboard/index');
			$response = array(
					'status'=> TRUE,
					'message'=> 'Login successful',
					'userid'=>$data[0]['ClientRepID'],
					'role_id' =>@$data_role[0]['roleid']
				);
		}

		else{

			$response = array(

					'status'=> FALSE,

					'message'=> 'Login Failed'

				);

		}
		echo json_encode($response);

	}
	
}