<?php
class Dashboard_model extends CI_Model {
	public function get_count_of_sales(){
		$this->db->select('count(order_id) as no_of_sales');
		$data = $this->db->get('ptsl_sales_transactions')->row();
		return $data->no_of_sales;
	}
	public function get_count_of_activities(){
		$this->db->select('count(ActivityID) as no_of_activites');
		$data = $this->db->get('ptsl_account_activity')->row();
		return $data->no_of_activites;
	}
	public function recentactivites(){
		$this->db->select('rep.ClientRepName,info.LongName,subtype.SubtypeName');
		$this->db->from('ptsl_account_activity act');
		$this->db->join('ptsl_clientrep rep','rep.ClientRepID=act.Client_Rep_ID','');
		$this->db->join('ptsl_accountinfo info','info.AccountID=act.AccountID','left');
		$this->db->join('ptsl_activitysubtype subtype','subtype.ActivitySubtypeID=act.ptsl_activitySubtype_ActivitySubtypeID');
		$this->db->limit('5');
		$this->db->order_by('ActivityID DESC');
		return $this->db->get()->result_array();
	}
	public function init_brand_report($filter){
		error_reporting(0);
		if($filter == 1){
			$spn = "call ptsl_sp_pivot('ptsl_vw_sales_transaction','dayname(ConvertedDate)','brand_name','case_equivalents',' where ConvertedDate > DATE_SUB(now(), INTERVAL 7 day) ','')";
		}
		else if($filter ==2){
			$spn="call ptsl_sp_pivot('ptsl_vw_sales_transaction','monthname(ConvertedDate)','brand_name','case_equivalents',' where ConvertedDate > DATE_SUB(now(), INTERVAL 90 day) ','')";
		}
		else if($filter ==3){
			$spn="call ptsl_sp_pivot('ptsl_vw_sales_transaction','monthname(ConvertedDate)','brand_name','case_equivalents',' where ConvertedDate > DATE_SUB(now(), INTERVAL 1 year) ','')";
		}
		else{

			$range = explode("to",$filter);
			$sdate = $range[0];
			$edate = $range[1];
			$syear = explode('-',$sdate);
			$eyear = explode('-', $edate);
			if($syear[0] == $eyear[0] && $syear[1]!=$eyear[1]){
				$nameClause = "monthname(ConvertedDate)";
			}
			else if($syear[0] == $eyear[0] && $syear[1]==$eyear[1]){
				$nameClause ="name(ConvertedDate)";
			}
			else{
				$nameClause = "year(ConvertedDate)";
			}
			$where = "where ConvertedDate between '".$sdate."' and '".$edate."'";
			$spn = "call ptsl_sp_pivot('ptsl_vw_sales_transaction','".$nameClause."','brand_name','case_equivalents',". '"'.$where.'"'.",'')";
			//echo $spn;
			
		}
		
		$arr = array();
		$result = $this->multiquery->GetResults($spn,$arr);
		$sliced_array = array_slice($result[2], 0,-1);
       
        $data = array();
		$keys = array_keys($sliced_array[0]);
		$keys = array_slice($keys, 0,-1);
		$groups = array($keys);
		
		foreach ($sliced_array as $key => $value) {
			foreach ($keys as $key2 => $value2) {
				array_push($data,$value[$value2]);
				
			}

			array_push($groups, $data);
			$data = array();
		}
		
		
		$json = json_encode($groups,JSON_NUMERIC_CHECK);
		
		$array_final['json'] = preg_replace('/"([a-zA-Z]+[a-zA-Z0-9_]*)":/','$1:',$json);
		//echo $json;
		$array_final['sliced_array'] = $sliced_array;
		$array_final['keys'] = $keys;
		$array_final['groups'] = $groups; 
		return $array_final;
	}
}