<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("userdata")) {
         redirect(base_url());
            // do something
        }
        $this->load->model('dashboard_model');
        $this->load->library('multiquery');
    }
	public function index(){
		$data = array(
			'heading_title' => 'Dashboard',
			'no_of_sales'	=>	$this->dashboard_model->get_count_of_sales(),
			'no_of_activites'=>	$this->dashboard_model->get_count_of_activities(),
			'recent_activites'=>	$this->dashboard_model->recentactivites()
			);
		$res = $this->dashboard_model->init_brand_report(1);
		$data['chart_data'] =$res['json'];
		//print_r()
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/dashboard');
		$this->load->view('admin/common/footer');
	}
	public function api($filter){
		$res = $this->dashboard_model->init_brand_report($filter);
		$data['chart_data'] =$res;
		//print_r($data);
		echo json_encode($data,JSON_NUMERIC_CHECK);
	}
	public function logout(){
		$this->session->unset_userdata('userdata');
		$this->session->sess_destroy();
		redirect(base_url());
	} 
}