<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Importfile extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        $this->load->helper('form');
        $this->load->library('form_validation');
        if(!$this->session->userdata("userdata")) {
            redirect(base_url());
            // do something
        }
    }
    public function create(){

    	$data = array(
			'heading_title' => 'Import File'
			);
        $this->db->where('can_import_file',1);
    	$data['distributors'] = $this->db->get('ptsl_distributor')->result_array();
    	//print_r($data);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/importfile');
		$this->load->view('admin/common/footer');
    }
    public function do_upload(){
        $distributor = $this->input->post('distributor');
        if($distributor == 3){              //xls file
            $config['upload_path']          = './files/excel/';
            $config['allowed_types']        = 'xls|xlsx';
            $old_name = $_FILES["userfiles"]['name'];
            $ext = explode('.', $old_name);
            $new_name = time().'.'.$ext[1];
            $config['file_name'] = $new_name;
            $upload_file_type = 3;
        }
        else{
            $config['upload_path']          = './files/textfiles/';
            $config['allowed_types']        = 'txt';
            $old_name = $_FILES["userfiles"]['name'];
            $ext = explode('.', $old_name);
            $new_name = time().'.'.$ext[1];
            $config['file_name'] = $new_name;
            $upload_file_type = 2;
        }

        $this->load->library('upload', $config);

        if ( ! $this->upload->do_upload('userfiles')){
            $error = array('error' => $this->upload->display_errors());
            $this->session->set_flashdata('error', $error['error']);
            redirect('importfile/create');

        }
        else
        {
            $data = array($this->upload->data());
            //print_r($data); exit;
            $inserted_data = array(
                'distributor_id'=> $distributor,
                'upload_file_type' => $upload_file_type,
                'status' => 0,
                'file' => $new_name,
                'old_file_name' => $old_name
            );
            $res = $this->db->insert('ptsl_dist_file',$inserted_data);
            if($res){
                redirect('files/index');
            }

        }
    }
}